> ## Documentation Index
> Fetch the complete documentation index at: https://docs.itpgo.ro/llms.txt
> Use this file to discover all available pages before exploring further.

# Create alert

> Create a new alert for a car plate and expiration status.



## OpenAPI

````yaml generated/openapi.json post /alerts
openapi: 3.1.0
info:
  version: 1.0.0
  title: ITPgo API
servers:
  - url: https://itpgo-api.itpgo.workers.dev
    description: Cloudflare Workers development endpoint
  - url: https://api.itpgo.ro
    description: Production API behind Cloudflare managed challenge
security: []
paths:
  /alerts:
    post:
      tags:
        - Alerts
      summary: Create alert
      description: Create a new alert for a car plate and expiration status.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAlertInput'
      responses:
        '201':
          description: Alert created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Alert'
        '400':
          description: Invalid payload
        '409':
          description: Alert already exists for this plate
components:
  schemas:
    CreateAlertInput:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 5d06ab7f-dab1-45b8-a084-e63e0b1f6584
        plate:
          type: string
          pattern: ^[A-Z0-9-]{3,15}$/i
          example: GL0045138
        status:
          type: string
          enum:
            - active
            - expiring_soon
            - expired
          example: expiring_soon
        expiresAt:
          type: string
          format: date-time
          example: '2026-01-15T00:00:00.000Z'
      required:
        - plate
        - status
        - expiresAt
    Alert:
      type: object
      properties:
        id:
          type: string
          format: uuid
          example: 5d06ab7f-dab1-45b8-a084-e63e0b1f6584
        plate:
          type: string
          pattern: ^[A-Z0-9-]{3,15}$/i
          example: B-06-SSS
        status:
          type: string
          enum:
            - active
            - expiring_soon
            - expired
          example: expiring_soon
        expiresAt:
          type: string
          format: date-time
          example: '2025-12-31T23:59:59.000Z'
        createdAt:
          type: string
          format: date-time
          example: '2025-11-10T12:00:00.000Z'
      required:
        - id
        - plate
        - status
        - expiresAt
        - createdAt

````